Subject: [xml2rfc-dev] DOIs in <reference> inside <referencegroup>

From: Julian Reschke <[email-masked]>
Date: Fri, 7 Jun 2019 09:00:11 +0200

Hi there,

I just noticed
<https://trac.tools.ietf.org/tools/xml2rfc/trac/changeset/3130>.

This seems to contradict the style guide
(<https://tools.ietf.org/html/draft-flanagan-7322bis-03#section-4.8.6.3>)
and also doesn't seem to make any sense to me.

What was the reason for this change?

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 17 Jun 2019 10:45:30 +0200

On 07.06.2019 09:00, Julian Reschke wrote:
> (<https://tools.ietf.org/html/draft-flanagan-7322bis-03#section-4.8.6.3>) and
> also doesn't seem to make any sense to me.
>

Ping?

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Mon, 24 Jun 2019 08:51:49 -0400

> On Jun 7, 2019, at 3:00 AM, Julian Reschke <[email-masked]> wrote:
> 
> Hi there,
> 
> I just noticed

Sorry for the delay!

The subseries collections don’t have DOIs; only individual RFCs do. If the reference is to a subseries set, then no DOI should be included.

-Heather

---

From: Julian Reschke <[email-masked]>
Date: Mon, 24 Jun 2019 15:09:27 +0200

> The subseries collections don’t have DOIs; only individual RFCs do. If the reference is to a subseries set, then no DOI should be included.

I understand that the *subseries* doesn't have a DOI.

But let's consider
<https://tools.ietf.org/html/draft-flanagan-7322bis-03#section-4.8.6.3>:

>    For an STD or BCP that contains two or more RFCs:
>
>    [STDXXX]  Last name, First initial., Ed. (if applicable), "RFC
>    Title", Stream, Sub-series number, RFC number, RFC DOI, Date of
>    publication.
>
>             Last name, First initial., Ed. (if applicable)
>             and First initial. Last name, Ed. (if applicable),
>             "RFC Title", Stream, Sub-series number, RFC number, RFC DOI,
>             Date of publication.
>
>             <https://www.rfc-editor.org/info/std#>

I assume this was meant to display as:

>    For an STD or BCP that contains two or more RFCs:
>
>    [STDXXX]  Last name, First initial., Ed. (if applicable), "RFC
>              Title", Stream, Sub-series number, RFC number, RFC DOI, Date of
>              publication.
>
>              Last name, First initial., Ed. (if applicable)
>              and First initial. Last name, Ed. (if applicable),
>              "RFC Title", Stream, Sub-series number, RFC number, RFC DOI,
>              Date of publication.
>
>              <https://www.rfc-editor.org/info/std#>

So where this says "RFC DOI" it refers to the DOI of the RFC that is
part of the subseries, so this should stay, right?

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Mon, 24 Jun 2019 09:13:02 -0400

> On Jun 24, 2019, at 9:09 AM, Julian Reschke <[email-masked]> wrote:
> 
> <https://tools.ietf.org/html/draft-flanagan-7322bis-03#section-4.8.6.3 <https://tools.ietf.org/html/draft-flanagan-7322bis-03#section-4.8.6.3>>:
> 
>>            <https://www.rfc-editor.org/info/std# <https://www.rfc-editor.org/info/std#>>
> 
>>             <https://www.rfc-editor.org/info/std# <https://www.rfc-editor.org/info/std#>>
> 

I think that is more a mistake in the style guide more than the tool.

-Heather

---

From: Julian Reschke <[email-masked]>
Date: Mon, 24 Jun 2019 15:23:58 +0200

On 24.06.2019 15:13, Heather Flanagan wrote:
>
>
>> On Jun 24, 2019, at 9:09 AM, Julian Reschke <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>>>> On Jun 7, 2019, at 3:00 AM, Julian Reschke <[email-masked]
>>>> <mailto:[email-masked]>> wrote:
>>>>
>>>> Hi there,
>>>>
>>>> I just noticed
>>> The subseries collections don’t have DOIs; only individual RFCs do.
>>> If the reference is to a subseries set, then no DOI should be included.
>>>
>>> -Heather
>>

OK, confusion growing... :-)

Please have a look at
<https://greenbytes.de/tech/webdav/referencegroup-test.html#rfc.section.2>:

> 2. Test References
>
> [STD68]
>     Crocker, D., Ed. and P. Overell, “Augmented BNF for Syntax Specifications: ABNF”, STD 68, RFC 5234, DOI 10.17487/RFC5234, January 2008.
>     <https://www.rfc-editor.org/info/std68>
> [STD69]
>     Hollenbeck, S., “Extensible Provisioning Protocol (EPP)”, STD 69, RFC 5730, DOI 10.17487/RFC5730, August 2009.
>     Hollenbeck, S., “Extensible Provisioning Protocol (EPP) Domain Name Mapping”, STD 69, RFC 5731, DOI 10.17487/RFC5731, August 2009.
>     Hollenbeck, S., “Extensible Provisioning Protocol (EPP) Host Mapping”, STD 69, RFC 5732, DOI 10.17487/RFC5732, August 2009.
>     Hollenbeck, S., “Extensible Provisioning Protocol (EPP) Contact Mapping”, STD 69, RFC 5733, DOI 10.17487/RFC5733, August 2009.
>     Hollenbeck, S., “Extensible Provisioning Protocol (EPP) Transport over TCP”, STD 69, RFC 5734, DOI 10.17487/RFC5734, August 2009.
>     <https://www.rfc-editor.org/info/std69>

Are these formatted as intended or not?

Best regards, Julian